const { LoadCommands, AoiClient } = require("aoi.js");
const keepAlive = require(`./server`);

const bot = new AoiClient({
  token: "TOKEN HERE",
  prefix: "aoi!",
  intents: [
    "MessageContent",
    "Guilds",
    "GuildMessages",
    "GuildBans",
    "GuildVoiceStates",
    "GuildMessageTyping",
    "GuildMembers",
    "GuildInvites",
    "GuildMessageReactions",
    "GuildPresences",
    "GuildEmojisAndStickers",
  ],
  events: [
    "onMessage",
    "onBanAdd",
    "onBanRemove",
    "onMessageDelete",
    "onMessageUpdate",
    "onChannelCreate",
    "onChannelDelete",
    "onChannelUpdate",
    "onMemberUpdate",
    "onGuildJoin",
    "onGuildLeave",
    "onJoin",
    "onLeave",
    "onInteractionCreate",
    "onReactionAdd",
    "onVoiceStateUpdate",
    "onFunctionError",
    "onPresenceUpdate",
    "onEmojiCreate",
    "onEmojiDelete",
    "onStickerCreate",
    "onStickerDelete",
    "onInviteCreate",
    "onInviteDelete",
    "onRoleCreate",
    "onRoleDelete",
  ],
  database: {
    type: "aoi.db",
    db: require("aoi.db"),
    tables: ["main"],
    path: "./database/",
    extraOptions: {
      dbType: "KeyValue",
    },
  },

  suppressAllErrors: true,
});
const loader = new LoadCommands(bot);
loader.load(bot.cmd, "./commands/");

keepAlive();